[PATCH i-g-t 1/2] drv_module_reload: Don't declare success when failing

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



We weren't returning straight away when failing to unload the driver, so
the test happilly executed gem_suspend and printed ""module successfully
loaded again".

Signed-off-by: Damien Lespiau <damien.lespiau@xxxxxxxxx>
---
 tests/drv_module_reload | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/tests/drv_module_reload b/tests/drv_module_reload
index c1fd395..66cd6bb 100755
--- a/tests/drv_module_reload
+++ b/tests/drv_module_reload
@@ -33,10 +33,9 @@ rmmod drm &> /dev/null
 
 if lsmod | grep i915 &> /dev/null ; then
 	echo WARNING: i915.ko still loaded!
-	exitcode=1
+	exit 1
 else
 	echo module successfully unloaded
-	exitcode=0
 fi
 
 modprobe i915
@@ -47,4 +46,4 @@ modprobe snd_hda_intel
 # try to run something
 $SOURCE_DIR/gem_exec_nop > /dev/null && echo "module successfully loaded again"
 
-exit $exitcode
+exit 0
-- 
1.8.3.1

_______________________________________________
Intel-gfx mailing list
Intel-gfx@xxxxxxxxxxxxxxxxxxxxx
http://lists.freedesktop.org/mailman/listinfo/intel-gfx




[Index of Archives]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux Kernel]     [Linux SCSI]
  Powered by Linux